When trying to access Easy::Apache in cPanel WebHosting Manager (WHM) or EasyApache script on the server, an Internal Server Error may occur. The following error details may be displayed.

Internal Server Error

Premature end of script headers: usr/local/cpanel/whostmgr/docroot/cgi/easyapache.pl: Please check / usr / local / cpanel / logs / error_log for the exact error.


Opening up the error_log, the following errors are recorded:

Acme::Spork version v0.0.8 required–this is only version v0.0.7 at /var/cpanel/perl/easy/Cpanel/Easy/Utils/BackGround.pm line 14.
BEGIN failed–compilation aborted at /var/cpanel/perl/easy/Cpanel/Easy/Utils/BackGround.pm line 14.
Compilation failed in require at (eval 28) line 3.
…propagated at /usr/lib/perl5/5.8.8/base.pm line 85.
at (eval 26) line 3
at /var/cpanel/perl/easy/Cpanel/Easy.pm line 15
BEGIN failed–compilation aborted at /var/cpanel/perl/easy/Cpanel/Easy.pm line 15.
Compilation failed in require at (eval 16) line 3.
…propagated at /usr/lib/perl5/5.8.8/base.pm line 85.
BEGIN failed–compilation aborted at /var/cpanel/perl/easy/Cpanel/Easy/Apache.pm line 8.
Compilation failed in require at /usr/local/cpanel/whostmgr/docroot/cgi/easyapache.pl line 67.

The cPanel Easy Apache utility appears broken due to incorrect Acme::Spork perl script. In order to fix the Internet Server Error when trying to get into Easy Apache, just run or execute the following script to get all perl modules checked, and in the process fix the Acme::Spork.

./scripts/checkperlmodules

Alternatively, it’s possible to reinstall just Acme::Spork on the server, by following steps below to enter the commands accordingly.

# cpan

cpan> install Acme::Spork

A long list of output will follow……

cpan> reload cpan

cpan> quit

Once fixed, Easy Apache will start working immediately, and webmaster or system administrator can access the Easy Apache module again.

Related Posts